BitDance OpenAPI Platform API Documentation
BitDance OpenAPI Platform API Documentation
Base URLs: https://open.bitdance.network
Authentication
API-Key
- Parameter Name: Unique API key used to identify customer identity., in: header.
Nonce
- Parameter Name: One-time random string (minimum 16 characters) to ensure the uniqueness of each request., in: header.
Sign
- Parameter Name: String generated by signing request parameters, used to verify request integrity and prevent tampering. Refer to Signature Algorithm, in: header.
Timestamp
- Parameter Name: Timestamp (Unix seconds) when the request was initiated. The server will verify the deviation between this timestamp and server time., in: header.
Public API
GET Get Token Asset Detail
GET /open-api/v1/public/getTokenAssetDetail
Params
| Name | Location | Type | Required | Description |
|---|---|---|---|---|
| assetId | query | integer(int64) | yes | Token Asset ID |
Response Examples
200 Response
{"code":200,"data":{"acronym":"BTC","assetId":1111,"assetIdString":1111,"boomKingTime":"2024-11-19 14:16:00","createTime":"2024-11-19 14:16:00","decimalDisplay":8,"dexTime":"2024-11-19 14:16:00","holders":100,"image":"https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp","jumpSince":10,"liquidityAssetNum":10000000000,"liquiditySatNum":100,"marketCap":100000,"name":"Bitcoin","supply":210000000000000,"txns24h":100,"unitPrice":0.001,"unitPrice24hChange":10,"unitPriceSat":0.1,"vol24h":1000,"volTotal":100},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«TaprootAssetsQueryVO» |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
POST Get Token Asset Liquidity Pool Information
POST /open-api/v1/public/getTokenAssetLiquidityPairAmount
Body Parameters
{
"assetId": 1111
}
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| body | body | TokenLiquidityPairAmountQO | yes | TokenLiquidityPairAmountQO | none |
Response Examples
200 Response
{"code":200,"data":{"apr":0.01,"decimalDisplay":8,"fee24H":0.01,"totalClaimedFee":100,"totalClaimedFeeUsd":10,"totalLiquidityNumber":1000,"totalSatNumber":1000,"totalSatUsd":1000,"totalTokenNumber":100000000000,"totalTokenUsd":1000,"tvl":1000,"volume24H":100},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«TokenLiquidityPairAmountVO» |
| 201 | Created | Created | None |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
POST Get Token Asset List
POST /open-api/v1/public/getTokenAssetList
Body Parameters
{
"currentPage": 1,
"pageSize": 15
}
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| body | body | BasePagedQO | yes | BasePagedQO | none |
Response Examples
200 Response
{"code":200,"data":{"list":[{"acronym":"BTC","assetId":1111,"assetIdString":1111,"boomKingTime":"2024-11-19 14:16:00","createTime":"2024-11-19 14:16:00","decimalDisplay":8,"dexTime":"2024-11-19 14:16:00","holders":100,"image":"https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp","jumpSince":10,"liquidityAssetNum":10000000000,"liquiditySatNum":100,"marketCap":100000,"name":"Bitcoin","supply":210000000000000,"txns24h":100,"unitPrice":0.001,"unitPrice24hChange":10,"unitPriceSat":0.1,"vol24h":1000,"volTotal":100}],"total":0},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«Page«TaprootAssetsQueryVO»» |
| 201 | Created | Created | None |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
POST Get Token Asset Transaction List
POST /open-api/v1/public/getTokenAssetTransactionList
Body Parameters
{
"assetId": 1111,
"currentPage": 1,
"pageSize": 15
}
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| body | body | AssetTransactionQueryQO | yes | AssetTransactionQueryQO | none |
Response Examples
200 Response
{"code":200,"data":{"list":[{"assetId":1111,"assetsNumber":10000000000,"createTime":"2025-11-01 00:00:00","decimalDisplay":8,"satNumber":0.01,"time":"2month","tradeType":0,"transactionHash":"0xdbbabbd841c387b71b7c937a41fbef428df2eab7aaba3645e0b3eaf1e4ed1c8c","usd":0.01}],"total":0},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«Page«AssetTransactionQueryVO»» |
| 201 | Created | Created | None |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
GET Test Connection
GET /open-api/v1/public/ping
Response Examples
200 Response
{"code":200,"data":"string","message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«string» |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
Trade API
POST Send Token
POST /open-api/v1/trade/SendToken
Body Parameters
{
"assetId": 11,
"number": 100000000,
"outTradeNo": 20220308123456788,
"toAddress": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun"
}
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| body | body | SendTokenQO | yes | SendTokenQO | none |
Response Examples
200 Response
{"code":200,"data":{"txId":1111},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«AssetsSendResultVO» |
| 201 | Created | Created | None |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
GET Query NFT Transfer Record By Out Trade No
GET /open-api/v1/trade/getNftTransferRecordByOutTradeNo
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| outTradeNo | query | string | yes | Out Trade No |
Response Examples
200 Response
{"code":200,"data":{"assetId":111,"createTime":"2021-01-01 00:00:00","decimalDisplay":8,"image":"https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp","name":"Bitcoin","note":"Asset Transfer Transaction Remarks","number":100000000000,"outTradeNo":20220308123456788,"receiver":"bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun","sender":"bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun","ticker":"BTC","txId":1111},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«TaprootAssetTransferVO» |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
GET Query NFT Transfer Record By Transaction ID
GET /open-api/v1/trade/getNftTransferRecordByTxId
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| txId | query | integer(int64) | yes | Transaction ID |
Response Examples
200 Response
{"code":200,"data":{"assetId":111,"createTime":"2021-01-01 00:00:00","decimalDisplay":8,"image":"https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp","name":"Bitcoin","note":"Asset Transfer Transaction Remarks","number":100000000000,"outTradeNo":20220308123456788,"receiver":"bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun","sender":"bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun","ticker":"BTC","txId":1111},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«TaprootAssetTransferVO» |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
GET Query Sats Payment Record By Out Trade No
GET /open-api/v1/trade/getPaymentRecordByOutTradeNo
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| outTradeNo | query | string | yes | Out Trade No |
Response Examples
200 Response
{"code":200,"data":{"amount":-100,"bolt11":"lntb10n1p5d8ms0pp6yjtv6jx6ad7zf97z6yy0za6my3s0hzug5jtmmth9mdgmng5vwfcqhp5vh83vmjjwh7l7f0rhupa6krysxpdkreddmmhhttmyv473t7sah2scqzzsxqrrsssp5as5tsha2ggynf89peew8c08jluf038q8guu4qpyy44ll320xrv5q9qxpqysgqq7qsat652g2ug5529j9s577zrr6uytvqp5dqx480ssvjvm2tkuf533rpqfc0703xkknz7sg977rsh6uqc6gfd8lxnwt5vhfav0qgv5cq6vlq0s","checking_id":"internal_2497cd48daeb7c2497c2d108f1775b2460fb8b88a497bdaee5db51b9a28c7270","expiry":1763449753000,"fee":0.1,"gasUsd":0.0001,"outTradeNo":20230410175101,"payment_hash":"2396cd48daeb7c2497c2d108f1775b2460fb8b88a497bdaee5db51b9a28c7270","status":"success","time":1763446157000,"totalUsd":-0.1},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«SatsPaymentRecordVO» |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
GET Query Sats Payment Record By Payment Hash
GET /open-api/v1/trade/getPaymentRecordByPaymentHash
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| paymentHash | query | string | yes | Sats Payment Hash |
Response Examples
200 Response
{"code":200,"data":{"amount":-100,"bolt11":"lntb10n1p5d8ms0pp6yjtv6jx6ad7zf97z6yy0za6my3s0hzug5jtmmth9mdgmng5vwfcqhp5vh83vmjjwh7l7f0rhupa6krysxpdkreddmmhhttmyv473t7sah2scqzzsxqrrsssp5as5tsha2ggynf89peew8c08jluf038q8guu4qpyy44ll320xrv5q9qxpqysgqq7qsat652g2ug5529j9s577zrr6uytvqp5dqx480ssvjvm2tkuf533rpqfc0703xkknz7sg977rsh6uqc6gfd8lxnwt5vhfav0qgv5cq6vlq0s","checking_id":"internal_2497cd48daeb7c2497c2d108f1775b2460fb8b88a497bdaee5db51b9a28c7270","expiry":1763449753000,"fee":0.1,"gasUsd":0.0001,"outTradeNo":20230410175101,"payment_hash":"2396cd48daeb7c2497c2d108f1775b2460fb8b88a497bdaee5db51b9a28c7270","status":"success","time":1763446157000,"totalUsd":-0.1},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«SatsPaymentRecordVO» |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
GET Query Token Transfer Record By Out Trade No
GET /open-api/v1/trade/getTokenTransferRecordByOutTradeNo
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| outTradeNo | query | string | yes | Out Trade No |
Response Examples
200 Response
{"code":200,"data":{"assetId":111,"createTime":"2021-01-01 00:00:00","decimalDisplay":8,"image":"https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp","name":"Bitcoin","note":"Asset Transfer Transaction Remarks","number":100000000000,"outTradeNo":20220308123456788,"receiver":"bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun","sender":"bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun","ticker":"BTC","txId":1111},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«TaprootAssetTransferVO» |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
GET Query Token Transfer Record By Transaction ID
GET /open-api/v1/trade/getTokenTransferRecordByTxId
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| txId | query | integer(int64) | yes | Transaction ID |
Response Examples
200 Response
{"code":200,"data":{"assetId":111,"createTime":"2021-01-01 00:00:00","decimalDisplay":8,"image":"https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp","name":"Bitcoin","note":"Asset Transfer Transaction Remarks","number":100000000000,"outTradeNo":20220308123456788,"receiver":"bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun","sender":"bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun","ticker":"BTC","txId":1111},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«TaprootAssetTransferVO» |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
POST Mint NFT
POST /open-api/v1/trade/mintNft
Body Parameters
{
"desc": "Demo NFT",
"groupId": 1,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"name": "DemoNFT"
}
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| body | body | NftMintQO | yes | NftMintQO | none |
Response Examples
200 Response
{"code":200,"data":{},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo |
| 201 | Created | Created | None |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
POST Send NFT
POST /open-api/v1/trade/sendNft
Body Parameters
{
"assetId": 11,
"outTradeNo": 20220308123456788,
"toAddress": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun"
}
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| body | body | SendNftQO | yes | SendNftQO | none |
Response Examples
200 Response
{"code":200,"data":{"txId":1111},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«AssetsSendResultVO» |
| 201 | Created | Created | None |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
POST Send Sats
POST /open-api/v1/trade/sendSats
Body Parameters
{
"amount": 100,
"comment": "Send Sats Comment",
"outTradeNo": 20220308123456788,
"toAddress": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun"
}
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| body | body | SendSatsQO | yes | SendSatsQO | none |
Response Examples
200 Response
{"code":200,"data":{"payment_hash":"2396cd48daeb7c2497c2d108f1775b2460fb8b88a497bdaee5db51b9a28c7270"},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«SendSatsVO» |
| 201 | Created | Created | None |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
User Data API
GET Get User Lightning Network Details
GET /open-api/v1/user/getUserLightningDetail
Response Examples
200 Response
{"code":200,"data":{"balance":10,"lightningAddress":"bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun","usd":1.11},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«LightningDetailVO» |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
POST Get User NFT List
POST /open-api/v1/user/getUserNftList
Body Parameters
{
"currentPage": 1,
"pageSize": 15
}
Params
| Name | Location | Type | Required | Title | Description |
|---|---|---|---|---|---|
| body | body | NftUserQO | yes | NftUserQO | none |
Response Examples
200 Response
{"code":200,"data":{"endRow":0,"hasNextPage":true,"hasPreviousPage":true,"isFirstPage":true,"isLastPage":true,"list":[{"assetId":1111,"image":"https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp","name":"DemoNFT"}],"navigateFirstPage":0,"navigateLastPage":0,"navigatePages":0,"navigatepageNums":[0],"nextPage":0,"pageNum":0,"pageSize":0,"pages":0,"prePage":0,"size":0,"startRow":0,"total":0},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«PageInfo«UserNftQueryVO»» |
| 201 | Created | Created | None |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
GET Get User Token Asset List
GET /open-api/v1/user/getUserTokenAssetList
Response Examples
200 Response
{"code":200,"data":{"assetList":[{"assetId":1111,"assetNum":10000000000,"assetUsd":0.01,"availableAssetNum":10000000000,"costPriceSat":0.01,"decimalDisplay":8,"image":"https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp","lockAssetNum":10000000000,"name":"MyToken","ticker":"MyToken","unitPrice":1e-8,"unitPrice24hChange":1e-8,"unitPriceSat":0.01}],"totalUsd":1.11},"message":"Success","succ":true}
Responses
| HTTP Status Code | Meaning | Description | Data schema |
|---|---|---|---|
| 200 | OK | OK | ResInfo«UserAssetInfoVO» |
| 401 | Unauthorized | Unauthorized | None |
| 403 | Forbidden | Forbidden | None |
| 404 | Not Found | Not Found | None |
Data Schema
AssetTransactionQueryQO
{
"assetId": 1111,
"currentPage": 1,
"pageSize": 15
}
AssetTransactionQueryQO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| assetId | integer(int64) | false | none | Asset ID | |
| currentPage | integer(int32) | false | none | Current Page Number | |
| pageSize | integer(int32) | false | none | Records Per Page |
AssetTransactionQueryVO
{
"assetId": 1111,
"assetsNumber": 10000000000,
"createTime": "2025-11-01 00:00:00",
"decimalDisplay": 8,
"satNumber": 0.01,
"time": "2month",
"tradeType": 0,
"transactionHash": "0xdbbabbd841c387b71b7c937a41fbef428df2eab7aaba3645e0b3eaf1e4ed1c8c",
"usd": 0.01
}
AssetTransactionQueryVO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| assetId | integer(int64) | false | none | Asset ID | |
| assetsNumber | number | false | none | Asset Quantity, it is calculated based on Decimal Display precision | |
| createTime | string(date-time) | false | none | Creation Time | |
| decimalDisplay | integer(int32) | false | none | Asset Decimal Display | |
| satNumber | number | false | none | SAT Quantity | |
| time | string | false | none | Time Elapsed from Current Time | |
| tradeType | integer(int32) | false | none | Trade Type: 0 Buy, 1 Sell | |
| transactionHash | string | false | none | Transaction Hash | |
| usd | number | false | none | USD Amount |
AssetsSendResultVO
{
"txId": 1111
}
AssetsSendResultVO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| txId | integer(int64) | false | none | Transaction ID |
BasePagedQO
{
"currentPage": 1,
"pageSize": 15
}
BasePagedQO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| currentPage | integer(int32) | false | none | Current Page Number | |
| pageSize | integer(int32) | false | none | Records Per Page |
LightningDetailVO
{
"balance": 10,
"lightningAddress": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun",
"usd": 1.11
}
LightningDetailVO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| balance | number | false | none | Sats Balance, Unit Sats | |
| lightningAddress | string | false | none | Lightning Network Addres | |
| usd | number | false | none | Sats Converted to USD Balance |
NftMintQO
{
"desc": "Demo NFT",
"groupId": 1,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"name": "DemoNFT"
}
NftMintQO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| desc | string | true | none | NFT Description | |
| groupId | integer(int64) | true | none | NFT Group ID | |
| image | string | true | none | NFT Image | |
| name | string | true | none | NFT Name |
NftUserQO
{
"currentPage": 1,
"pageSize": 15
}
NftUserQO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| currentPage | integer(int32) | false | none | Current Page Number | |
| pageSize | integer(int32) | false | none | Records Per Page |
PageInfo«UserNftQueryVO»
{
"endRow": 0,
"hasNextPage": true,
"hasPreviousPage": true,
"isFirstPage": true,
"isLastPage": true,
"list": [
{
"assetId": 1111,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"name": "DemoNFT"
}
],
"navigateFirstPage": 0,
"navigateLastPage": 0,
"navigatePages": 0,
"navigatepageNums": [
0
],
"nextPage": 0,
"pageNum": 0,
"pageSize": 0,
"pages": 0,
"prePage": 0,
"size": 0,
"startRow": 0,
"total": 0
}
PageInfo«UserNftQueryVO»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| endRow | integer(int64) | false | none | none | |
| hasNextPage | boolean | false | none | none | |
| hasPreviousPage | boolean | false | none | none | |
| isFirstPage | boolean | false | none | none | |
| isLastPage | boolean | false | none | none | |
| list | [UserNftQueryVO] | false | none | [User NFT Query Result] | |
| navigateFirstPage | integer(int32) | false | none | none | |
| navigateLastPage | integer(int32) | false | none | none | |
| navigatePages | integer(int32) | false | none | none | |
| navigatepageNums | [integer] | false | none | none | |
| nextPage | integer(int32) | false | none | none | |
| pageNum | integer(int32) | false | none | none | |
| pageSize | integer(int32) | false | none | none | |
| pages | integer(int32) | false | none | none | |
| prePage | integer(int32) | false | none | none | |
| size | integer(int32) | false | none | none | |
| startRow | integer(int64) | false | none | none | |
| total | integer(int64) | false | none | none |
Page«AssetTransactionQueryVO»
{
"list": [
{
"assetId": 1111,
"assetsNumber": 10000000000,
"createTime": "2025-11-01 00:00:00",
"decimalDisplay": 8,
"satNumber": 0.01,
"time": "2month",
"tradeType": 0,
"transactionHash": "0xdbbabbd841c387b71b7c937a41fbef428df2eab7aaba3645e0b3eaf1e4ed1c8c",
"usd": 0.01
}
],
"total": 0
}
Page«AssetTransactionQueryVO»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| list | [AssetTransactionQueryVO] | false | none | List | |
| total | integer(int64) | false | none | Total |
Page«TaprootAssetsQueryVO»
{
"list": [
{
"acronym": "BTC",
"assetId": 1111,
"assetIdString": 1111,
"boomKingTime": "2024-11-19 14:16:00",
"createTime": "2024-11-19 14:16:00",
"decimalDisplay": 8,
"dexTime": "2024-11-19 14:16:00",
"holders": 100,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"jumpSince": 10,
"liquidityAssetNum": 10000000000,
"liquiditySatNum": 100,
"marketCap": 100000,
"name": "Bitcoin",
"supply": 210000000000000,
"txns24h": 100,
"unitPrice": 0.001,
"unitPrice24hChange": 10,
"unitPriceSat": 0.1,
"vol24h": 1000,
"volTotal": 100
}
],
"total": 0
}
Page«TaprootAssetsQueryVO»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| list | [TaprootAssetsQueryVO] | false | none | List | |
| total | integer(int64) | false | none | Total |
ResInfo
{
"code": 200,
"data": {},
"message": "Success",
"succ": true
}
ResInfo
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | object | false | none | Data | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«AssetsSendResultVO»
{
"code": 200,
"data": {
"txId": 1111
},
"message": "Success",
"succ": true
}
ResInfo«AssetsSendResultVO»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | AssetsSendResultVO | false | none | Asset Send Result | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«LightningDetailVO»
{
"code": 200,
"data": {
"balance": 10,
"lightningAddress": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun",
"usd": 1.11
},
"message": "Success",
"succ": true
}
ResInfo«LightningDetailVO»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | LightningDetailVO | false | none | User Sats Query Result | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«PageInfo«UserNftQueryVO»»
{
"code": 200,
"data": {
"endRow": 0,
"hasNextPage": true,
"hasPreviousPage": true,
"isFirstPage": true,
"isLastPage": true,
"list": [
{
"assetId": 1111,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"name": "DemoNFT"
}
],
"navigateFirstPage": 0,
"navigateLastPage": 0,
"navigatePages": 0,
"navigatepageNums": [
0
],
"nextPage": 0,
"pageNum": 0,
"pageSize": 0,
"pages": 0,
"prePage": 0,
"size": 0,
"startRow": 0,
"total": 0
},
"message": "Success",
"succ": true
}
ResInfo«PageInfo«UserNftQueryVO»»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | PageInfo«UserNftQueryVO» | false | none | none | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«Page«AssetTransactionQueryVO»»
{
"code": 200,
"data": {
"list": [
{
"assetId": 1111,
"assetsNumber": 10000000000,
"createTime": "2025-11-01 00:00:00",
"decimalDisplay": 8,
"satNumber": 0.01,
"time": "2month",
"tradeType": 0,
"transactionHash": "0xdbbabbd841c387b71b7c937a41fbef428df2eab7aaba3645e0b3eaf1e4ed1c8c",
"usd": 0.01
}
],
"total": 0
},
"message": "Success",
"succ": true
}
ResInfo«Page«AssetTransactionQueryVO»»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | Page«AssetTransactionQueryVO» | false | none | Pagination Query | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«Page«TaprootAssetsQueryVO»»
{
"code": 200,
"data": {
"list": [
{
"acronym": "BTC",
"assetId": 1111,
"assetIdString": 1111,
"boomKingTime": "2024-11-19 14:16:00",
"createTime": "2024-11-19 14:16:00",
"decimalDisplay": 8,
"dexTime": "2024-11-19 14:16:00",
"holders": 100,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"jumpSince": 10,
"liquidityAssetNum": 10000000000,
"liquiditySatNum": 100,
"marketCap": 100000,
"name": "Bitcoin",
"supply": 210000000000000,
"txns24h": 100,
"unitPrice": 0.001,
"unitPrice24hChange": 10,
"unitPriceSat": 0.1,
"vol24h": 1000,
"volTotal": 100
}
],
"total": 0
},
"message": "Success",
"succ": true
}
ResInfo«Page«TaprootAssetsQueryVO»»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | Page«TaprootAssetsQueryVO» | false | none | Pagination Query | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«SatsPaymentRecordVO»
{
"code": 200,
"data": {
"amount": -100,
"bolt11": "lntb10n1p5d8ms0pp6yjtv6jx6ad7zf97z6yy0za6my3s0hzug5jtmmth9mdgmng5vwfcqhp5vh83vmjjwh7l7f0rhupa6krysxpdkreddmmhhttmyv473t7sah2scqzzsxqrrsssp5as5tsha2ggynf89peew8c08jluf038q8guu4qpyy44ll320xrv5q9qxpqysgqq7qsat652g2ug5529j9s577zrr6uytvqp5dqx480ssvjvm2tkuf533rpqfc0703xkknz7sg977rsh6uqc6gfd8lxnwt5vhfav0qgv5cq6vlq0s",
"checking_id": "internal_2497cd48daeb7c2497c2d108f1775b2460fb8b88a497bdaee5db51b9a28c7270",
"expiry": 1763449753000,
"fee": 0.1,
"gasUsd": 0.0001,
"outTradeNo": 20230410175101,
"payment_hash": "2396cd48daeb7c2497c2d108f1775b2460fb8b88a497bdaee5db51b9a28c7270",
"status": "success",
"time": 1763446157000,
"totalUsd": -0.1
},
"message": "Success",
"succ": true
}
ResInfo«SatsPaymentRecordVO»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | SatsPaymentRecordVO | false | none | Sats Payment Record | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«SendSatsVO»
{
"code": 200,
"data": {
"payment_hash": "2396cd48daeb7c2497c2d108f1775b2460fb8b88a497bdaee5db51b9a28c7270"
},
"message": "Success",
"succ": true
}
ResInfo«SendSatsVO»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | SendSatsVO | false | none | Send Sats Result | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«TaprootAssetTransferVO»
{
"code": 200,
"data": {
"assetId": 111,
"createTime": "2021-01-01 00:00:00",
"decimalDisplay": 8,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"name": "Bitcoin",
"note": "Asset Transfer Transaction Remarks",
"number": 100000000000,
"outTradeNo": 20220308123456788,
"receiver": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun",
"sender": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun",
"ticker": "BTC",
"txId": 1111
},
"message": "Success",
"succ": true
}
ResInfo«TaprootAssetTransferVO»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | TaprootAssetTransferVO | false | none | Asset Transfer Transaction Record | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«TaprootAssetsQueryVO»
{
"code": 200,
"data": {
"acronym": "BTC",
"assetId": 1111,
"assetIdString": 1111,
"boomKingTime": "2024-11-19 14:16:00",
"createTime": "2024-11-19 14:16:00",
"decimalDisplay": 8,
"dexTime": "2024-11-19 14:16:00",
"holders": 100,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"jumpSince": 10,
"liquidityAssetNum": 10000000000,
"liquiditySatNum": 100,
"marketCap": 100000,
"name": "Bitcoin",
"supply": 210000000000000,
"txns24h": 100,
"unitPrice": 0.001,
"unitPrice24hChange": 10,
"unitPriceSat": 0.1,
"vol24h": 1000,
"volTotal": 100
},
"message": "Success",
"succ": true
}
ResInfo«TaprootAssetsQueryVO»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | TaprootAssetsQueryVO | false | none | Token Asset Query Result | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«TokenLiquidityPairAmountVO»
{
"code": 200,
"data": {
"apr": 0.01,
"decimalDisplay": 8,
"fee24H": 0.01,
"totalClaimedFee": 100,
"totalClaimedFeeUsd": 10,
"totalLiquidityNumber": 1000,
"totalSatNumber": 1000,
"totalSatUsd": 1000,
"totalTokenNumber": 100000000000,
"totalTokenUsd": 1000,
"tvl": 1000,
"volume24H": 100
},
"message": "Success",
"succ": true
}
ResInfo«TokenLiquidityPairAmountVO»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | TokenLiquidityPairAmountVO | false | none | Token Liquidity Pool Information | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«UserAssetInfoVO»
{
"code": 200,
"data": {
"assetList": [
{
"assetId": 1111,
"assetNum": 10000000000,
"assetUsd": 0.01,
"availableAssetNum": 10000000000,
"costPriceSat": 0.01,
"decimalDisplay": 8,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"lockAssetNum": 10000000000,
"name": "MyToken",
"ticker": "MyToken",
"unitPrice": 1e-8,
"unitPrice24hChange": 1e-8,
"unitPriceSat": 0.01
}
],
"totalUsd": 1.11
},
"message": "Success",
"succ": true
}
ResInfo«UserAssetInfoVO»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | UserAssetInfoVO | false | none | User Token Asset Query Result | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
ResInfo«string»
{
"code": 200,
"data": "string",
"message": "Success",
"succ": true
}
ResInfo«string»
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| code | string | false | none | Code | |
| data | string | false | none | Data | |
| message | string | false | none | Message | |
| succ | boolean | false | none | none |
SatsPaymentRecordVO
{
"amount": -100,
"bolt11": "lntb10n1p5d8ms0pp6yjtv6jx6ad7zf97z6yy0za6my3s0hzug5jtmmth9mdgmng5vwfcqhp5vh83vmjjwh7l7f0rhupa6krysxpdkreddmmhhttmyv473t7sah2scqzzsxqrrsssp5as5tsha2ggynf89peew8c08jluf038q8guu4qpyy44ll320xrv5q9qxpqysgqq7qsat652g2ug5529j9s577zrr6uytvqp5dqx480ssvjvm2tkuf533rpqfc0703xkknz7sg977rsh6uqc6gfd8lxnwt5vhfav0qgv5cq6vlq0s",
"checking_id": "internal_2497cd48daeb7c2497c2d108f1775b2460fb8b88a497bdaee5db51b9a28c7270",
"expiry": 1763449753000,
"fee": 0.1,
"gasUsd": 0.0001,
"outTradeNo": 20230410175101,
"payment_hash": "2396cd48daeb7c2497c2d108f1775b2460fb8b88a497bdaee5db51b9a28c7270",
"status": "success",
"time": 1763446157000,
"totalUsd": -0.1
}
SatsPaymentRecordVO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| amount | integer | false | none | Sats Payment Amount, Unit Sats | |
| bolt11 | string | false | none | Sats Payment Invoice | |
| checking_id | string | false | none | Sats Payment ID | |
| expiry | integer(int64) | false | none | Sats Payment Expiry Time | |
| fee | number | false | none | Sats Payment Fee, Unit Sats | |
| gasUsd | number | false | none | Sats Payment Fee, Unit USD | |
| outTradeNo | string | false | none | Out Trade No | |
| payment_hash | string | false | none | Sats Payment Transaction Hash | |
| status | string | false | none | Sats Payment Status | |
| time | integer(int64) | false | none | Sats Payment Time | |
| totalUsd | number | false | none | Sats Payment Total Amount, Unit USD |
SendNftQO
{
"assetId": 11,
"outTradeNo": 20220308123456788,
"toAddress": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun"
}
SendNftQO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| assetId | integer(int64) | true | none | Asset ID | |
| outTradeNo | string | true | none | Out Trade No | |
| toAddress | string | true | none | Recipient Address |
SendSatsQO
{
"amount": 100,
"comment": "Send Sats Comment",
"outTradeNo": 20220308123456788,
"toAddress": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun"
}
SendSatsQO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| amount | integer | true | none | Amount, Unit Sats | |
| comment | string | false | none | Comment | |
| outTradeNo | string | true | none | Out Trade No | |
| toAddress | string | true | none | Recipient Address |
SendSatsVO
{
"payment_hash": "2396cd48daeb7c2497c2d108f1775b2460fb8b88a497bdaee5db51b9a28c7270"
}
SendSatsVO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| payment_hash | string | false | none | Sats Payment Transaction Hash |
SendTokenQO
{
"assetId": 11,
"number": 100000000,
"outTradeNo": 20220308123456788,
"toAddress": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun"
}
SendTokenQO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| assetId | integer(int64) | true | none | Asset ID | |
| number | number | true | none | Asset Quantity, it is calculated based on Decimal Display precision | |
| outTradeNo | string | true | none | Out Trade No | |
| toAddress | string | true | none | Recipient Address |
TaprootAssetTransferVO
{
"assetId": 111,
"createTime": "2021-01-01 00:00:00",
"decimalDisplay": 8,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"name": "Bitcoin",
"note": "Asset Transfer Transaction Remarks",
"number": 100000000000,
"outTradeNo": 20220308123456788,
"receiver": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun",
"sender": "bc1p5cyxnuxmeuwuvkwfem96lqzszd02n6xdcjrs20cac6yqjjwudpxqkedrcr@bitboom.fun",
"ticker": "BTC",
"txId": 1111
}
TaprootAssetTransferVO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| assetId | integer(int64) | false | none | Asset ID | |
| createTime | string(date-time) | false | none | Creation Time | |
| decimalDisplay | integer(int32) | false | none | Decimal Display | |
| image | string | false | none | Asset Image | |
| name | string | false | none | Name | |
| note | string | false | none | Remarks | |
| number | number | false | none | Number, it is calculated based on Decimal Display precision | |
| outTradeNo | string | false | none | Out Trade No | |
| receiver | string | false | none | Receiver | |
| sender | string | false | none | Sender | |
| ticker | string | false | none | Ticker | |
| txId | integer(int64) | false | none | Transaction ID |
TaprootAssetsQueryVO
{
"acronym": "BTC",
"assetId": 1111,
"assetIdString": 1111,
"boomKingTime": "2024-11-19 14:16:00",
"createTime": "2024-11-19 14:16:00",
"decimalDisplay": 8,
"dexTime": "2024-11-19 14:16:00",
"holders": 100,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"jumpSince": 10,
"liquidityAssetNum": 10000000000,
"liquiditySatNum": 100,
"marketCap": 100000,
"name": "Bitcoin",
"supply": 210000000000000,
"txns24h": 100,
"unitPrice": 0.001,
"unitPrice24hChange": 10,
"unitPriceSat": 0.1,
"vol24h": 1000,
"volTotal": 100
}
TaprootAssetsQueryVO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| acronym | string | false | none | Acronym | |
| assetId | integer(int64) | false | none | Asset ID | |
| assetIdString | string | false | none | Asset ID String | |
| boomKingTime | string(date-time) | false | none | boomKing Time | |
| createTime | string(date-time) | false | none | Creation Time | |
| decimalDisplay | integer(int32) | false | none | Decimal Display | |
| dexTime | string(date-time) | false | none | DEX Time | |
| holders | integer(int64) | false | none | Number of Holders | |
| image | string | false | none | Image URL | |
| jumpSince | number | false | none | Percentage Increase Since (Issuance/DEX) | |
| liquidityAssetNum | number | false | none | Liquidity Pool Asset Amount, it is calculated based on Decimal Display precision | |
| liquiditySatNum | number | false | none | Liquidity Pool SAT Amount | |
| marketCap | number | false | none | Market Cap | |
| name | string | false | none | Asset Name | |
| supply | integer | false | none | Supply, it is calculated based on Decimal Display precision | |
| txns24h | integer(int64) | false | none | 24h Transaction Count | |
| unitPrice | number | false | none | Unit Price USD | |
| unitPrice24hChange | number | false | none | nit Price 24h Change Percentage | |
| unitPriceSat | number | false | none | Unit Price Sat | |
| vol24h | number | false | none | 24h Trading Volume | |
| volTotal | integer(int64) | false | none | Total Trading Volume (BTC) |
TokenLiquidityPairAmountQO
{
"assetId": 1111
}
TokenLiquidityPairAmountQO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| assetId | integer(int64) | false | none | Asset ID |
TokenLiquidityPairAmountVO
{
"apr": 0.01,
"decimalDisplay": 8,
"fee24H": 0.01,
"totalClaimedFee": 100,
"totalClaimedFeeUsd": 10,
"totalLiquidityNumber": 1000,
"totalSatNumber": 1000,
"totalSatUsd": 1000,
"totalTokenNumber": 100000000000,
"totalTokenUsd": 1000,
"tvl": 1000,
"volume24H": 100
}
TokenLiquidityPairAmountVO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| apr | number | false | none | APR | |
| decimalDisplay | integer(int32) | false | none | Token Decimal Display | |
| fee24H | number | false | none | 24 Hour Fees | |
| totalClaimedFee | number | false | none | Total Claimed Fee | |
| totalClaimedFeeUsd | number | false | none | Total Claimed Fee USD | |
| totalLiquidityNumber | number | false | none | Total Token Amount in Liquidity Pool | |
| totalSatNumber | number | false | none | Total SAT Amount in Liquidity Pool | |
| totalSatUsd | number | false | none | Total SAT USD | |
| totalTokenNumber | number | false | none | Total Token Amount in Liquidity Pool, it is calculated based on Decimal Display precision | |
| totalTokenUsd | number | false | none | Total Token USD | |
| tvl | number | false | none | Liquidity Pool TVL | |
| volume24H | number | false | none | 24 Hour Trading Volume |
UserAssetInfoVO
{
"assetList": [
{
"assetId": 1111,
"assetNum": 10000000000,
"assetUsd": 0.01,
"availableAssetNum": 10000000000,
"costPriceSat": 0.01,
"decimalDisplay": 8,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"lockAssetNum": 10000000000,
"name": "MyToken",
"ticker": "MyToken",
"unitPrice": 1e-8,
"unitPrice24hChange": 1e-8,
"unitPriceSat": 0.01
}
],
"totalUsd": 1.11
}
UserAssetInfoVO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| assetList | [UserAssetQueryVO] | false | none | Token Asset List | |
| totalUsd | number | false | none | Total Token Asset Converted to USD Amount |
UserAssetQueryVO
{
"assetId": 1111,
"assetNum": 10000000000,
"assetUsd": 0.01,
"availableAssetNum": 10000000000,
"costPriceSat": 0.01,
"decimalDisplay": 8,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"lockAssetNum": 10000000000,
"name": "MyToken",
"ticker": "MyToken",
"unitPrice": 1e-8,
"unitPrice24hChange": 1e-8,
"unitPriceSat": 0.01
}
UserAssetQueryVO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| assetId | integer(int64) | false | none | Asset ID | |
| assetNum | number | false | none | Asset Quantity, it is calculated based on Decimal Display precision | |
| assetUsd | number | false | none | Total Asset Value Converted to USD | |
| availableAssetNum | number | false | none | Available Asset Quantity, it is calculated based on Decimal Display precision | |
| costPriceSat | number | false | none | Asset Cost Price, Unit sat | |
| decimalDisplay | integer(int32) | false | none | Asset Decimal Display | |
| image | string | false | none | Asset Icon Resource URL | |
| lockAssetNum | number | false | none | Locked Asset Quantity, it is calculated based on Decimal Display precision | |
| name | string | false | none | Asset Name | |
| ticker | string | false | none | Ticker | |
| unitPrice | number | false | none | Asset Unit Price, Unit USD | |
| unitPrice24hChange | number | false | none | Asset 24 Hour Change | |
| unitPriceSat | number | false | none | Asset Unit Price, Unit sat |
UserNftQueryVO
{
"assetId": 1111,
"image": "https://bitboom.fun/picture/2025/11/20/bc4de4c63cf04495ad81c20548f58f0c.webp",
"name": "DemoNFT"
}
UserNftQueryVO
Attribute
| Name | Type | Required | Restrictions | Title | Description |
|---|---|---|---|---|---|
| assetId | integer(int64) | false | none | NFT Asset ID | |
| image | string | false | none | NFT Icon Resource URL | |
| name | string | false | none | NFT Name |